Skip to content
Documentation

Time series

Use this endpoint for curves with curve_type TIME_SERIES. Paths are relative to the base URL https://data-forecasts.volue.com/api/v1/timeseries. The response format is described in Curve types.

GET /series/{id}

Get time series data from the specified curve.

Name Type Description Required
id integer Curve ID Yes
Name Type Description
from datetime Return values from this time (inclusive)
to datetime Return values up to this time (exclusive)
time_zone string Change the curve time zone before filtering and frequency change
output_time_zone string Change the curve time zone after filtering and frequency change
filter string Filter out parts of the time series. Filtering is done before aggregation/split
function string The aggregation/split function to use when changing frequency
frequency string The frequency of the output

output_time_zone changes the time zone of the output. With a filter or an aggregation/split function, it is applied after them. How the time stamps change depends on the curve frequency, see Time zones.

Terminal window
curl -G -H "Authorization: Bearer $TOKEN" \
https://data-forecasts.volue.com/api/v1/timeseries/series/1239 \
-d from=2026-11-01 -d to=2026-11-02
© 2026 Volue.Version v0.6.38017 November 2026